%define upstream_name    Cache-Memcached-Managed
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Inactive Cache::Memcache::Managed object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Memcached)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: memcached
BuildArch:  noarch

%description
Provides the same API as the Cache::Memcached::Managed manpage, but applies
all methods called to all of the objects specified, except for the new
manpage and the objects manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG COPYING GNUGPL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Apr 22 2025 tv <tv> 0.270.0-1.mga10
+ Revision: 2178083
- update to 0.27

* Tue Mar 29 2022 umeabot <umeabot> 0.260.0-3.mga9
+ Revision: 1833460
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.260.0-2.mga8
+ Revision: 1538565
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Nov 22 2019 tv <tv> 0.260.0-1.mga8
+ Revision: 1462187
- update to 0.26

* Mon Nov 11 2019 tv <tv> 0.250.0-1.mga8
+ Revision: 1459224
- update to 0.25

* Wed Sep 19 2018 umeabot <umeabot> 0.240.0-8.mga7
+ Revision: 1265910
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.240.0-7.mga6
+ Revision: 1022823
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.240.0-6.mga6
+ Revision: 948171
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 741590
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-4.mga5
+ Revision: 683726
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.240.0-3.mga4
+ Revision: 509601
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 363732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 254642
- update to 0.24

* Sun Jan 23 2011 jquelin <jquelin> 0.200.0-3.mga1
+ Revision: 34877
- rebuild
- mageia rebuild
- imported package perl-Cache-Memcached-Managed

